Permalink
Browse files

Update guice to compile and run with java 7

-------------
Created by MOE: https://github.com/google/moe
MOE_MIGRATED_REVID=145706045
  • Loading branch information...
lukesandberg authored and ronshapiro committed Jan 26, 2017
1 parent 3d096c6 commit 4e0cdc3561756f9b39ac10e453973c46f7295e4c
Showing with 8 additions and 8 deletions.
  1. +3 −3 common.xml
  2. +5 −5 pom.xml
View
@@ -14,7 +14,7 @@
<javac srcdir="${src.dir}"
debug="on"
destdir="${build.dir}/classes"
source="1.6" target="1.6" includeantruntime="false">
source="1.7" target="1.7" includeantruntime="false">
<compilerarg value="-Xlint:all,-serial"/>
<classpath refid="compile.classpath"/>
</javac>
@@ -39,7 +39,7 @@
<property name="Bundle-DocURL" value="https://github.com/google/guice"/>
<property name="Bundle-Copyright" value="Copyright (C) 2006 Google Inc."/>
<property name="Bundle-License" value="http://www.apache.org/licenses/LICENSE-2.0.txt"/>
<property name="Bundle-RequiredExecutionEnvironment" value="JavaSE-1.6"/>
<property name="Bundle-RequiredExecutionEnvironment" value="JavaSE-1.7"/>
<property name="Bundle-Vendor" value="Google, Inc."/>
<property name="Export-Package" value="!${module}.internal.*,${module}.*;version=${api.version}"/>
@@ -76,7 +76,7 @@
<javac srcdir="${test.dir}"
debug="on"
destdir="${build.dir}/test"
source="1.6" target="1.6" includeantruntime="false">
source="1.7" target="1.7" includeantruntime="false">
<classpath path="${build.dir}/classes"/>
<classpath path="${build.dir}/test"/>
<classpath refid="compile.classpath"/>
View
10 pom.xml
@@ -265,14 +265,14 @@ See the Apache License Version 2.0 for the specific language governing permissio
</executions>
</plugin>
<!--
| Make sure we only use Java6 methods
| Make sure we only use Java7 methods
-->
<plugin>
<artifactId>maven-compiler-plugin</artifactId>
<version>2.3.2</version>
<configuration>
<source>1.6</source>
<target>1.6</target>
<source>1.7</source>
<target>1.7</target>
</configuration>
</plugin>
<plugin>
@@ -282,13 +282,13 @@ See the Apache License Version 2.0 for the specific language governing permissio
<configuration>
<signature>
<groupId>org.codehaus.mojo.signature</groupId>
<artifactId>java16</artifactId>
<artifactId>java17</artifactId>
<version>1.0</version>
</signature>
</configuration>
<executions>
<execution>
<id>check-java-1.6-compat</id>
<id>check-java-1.7-compat</id>
<phase>process-classes</phase>
<goals>
<goal>check</goal>

0 comments on commit 4e0cdc3

Please sign in to comment.